QBI error after login


#1

I start QBI and get logged in but before the interface is displayed, I get the following error

See the end of this message for details on invoking
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
System.IO.FileNotFoundException: Could not load file or assembly ‘Interop.QBFC5, Version=5.0.203.0, Culture=neutral, PublicKeyToken=31d8aec643e18259’ or one of its dependencies. The system cannot find the file specified.
File name: ‘Interop.QBFC5, Version=5.0.203.0, Culture=neutral, PublicKeyToken=31d8aec643e18259’
at AyaNovaQBI.Util.QBValidate()
at AyaNovaQBI.Util.PreFlightCheck()
at AyaNovaQBI.MainForm.()
at AyaNovaQBI.MainForm.(Object , EventArgs )
at System.EventHandler.Invoke(Object sender, EventArgs e)
at System.Windows.Forms.Form.OnLoad(EventArgs e)
at System.Windows.Forms.Form.OnCreateControl()
at System.Windows.Forms.Control.CreateControl(Boolean fIgnoreVisible)
at System.Windows.Forms.Control.CreateControl()
at System.Windows.Forms.Control.WmShowWindow(Message& m)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
at System.Windows.Forms.ContainerControl.WndProc(Message& m)
at System.Windows.Forms.Form.WmShowWindow(Message& m)
at System.Windows.Forms.Form.WndProc(Message& m)
at System.Windows.Forms.Control.ControlNativewindow.OnMessage(Message& m)
at System.Windows.Forms.Control.ControlNativewindow.WndProc(Message& m)
at System.Windows.Forms.Nativewindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].

************** Loaded Assemblies **************
mscorlib
Assembly Version: 2.0.0.0
Win32 Version: 2.0.50727.42 (RTM.050727-4200)
CodeBase: [file:///C:/WINDOWS/Microsoft.NET/Framework/v2.0.50727/mscorlib.dll](file:///C:/WINDOWS/Microsoft.NET/Framework/v2.0.50727/mscorlib.dll)

AyaNovaQBI
Assembly Version: 3.2.3.0
Win32 Version: 3.2.3.0
CodeBase: [file:///C:/Program%20Files/Ground%20Zero%20Tech-Works%20Inc/AyaNova%203/AyaNovaQBI.exe](file:///C:/Program%20Files/Ground%20Zero%20Tech-Works%20Inc/AyaNova%203/AyaNovaQBI.exe)

System.Windows.Forms
Assembly Version: 2.0.0.0
Win32 Version: 2.0.50727.42 (RTM.050727-4200)
CodeBase: [file:///C:/WINDOWS/assembly/GAC_MSIL/System.Windows.Forms/2.0.0.0__b77a5c561934e089/System.Windows.Forms.dll](file:///C:/WINDOWS/assembly/GAC_MSIL/System.Windows.Forms/2.0.0.0__b77a5c561934e089/System.Windows.Forms.dll)

System
Assembly Version: 2.0.0.0
Win32 Version: 2.0.50727.42 (RTM.050727-4200)
CodeBase: [file:///C:/WINDOWS/assembly/GAC_MSIL/System/2.0.0.0__b77a5c561934e089/System.dll](file:///C:/WINDOWS/assembly/GAC_MSIL/System/2.0.0.0__b77a5c561934e089/System.dll)

System.Drawing
Assembly Version: 2.0.0.0
Win32 Version: 2.0.50727.42 (RTM.050727-4200)
CodeBase: <A href="file:///C:/WINDOWS/assembly/GAC_MSIL/Sy


#2

Hi Tim

Please open Control Panel -> Add/Remove Programs -> scroll down and confirm that QBFC 5.0has been installed

If it is installed, click on Support Information for QBFC 5.0 and confirm what the version number it is.

  • Joyce

#3

.


#4

Hi again Tim

I’ve just realized that you posted this in the QBI v1.2.2.0 section - but by the error message you are running QBI v3

It also appears from the error message, that you are not running the latest version of AyaNova v3 which is v3.2.5

I’m going to move this to the QBI v3 section of the forum.

There are two possible issues here:

  1. You are not running the latest version of AyaNova v3 and QBI v3. Please refer to the AyaNova v3 Known Issues & Updates section http://forum.ayanova.com/Forum96-1.aspxand perform the QuickFix update to update all computers to the latest version, and to use the latest version of QBI v3

  2. Before running QBI v3, you must have the requirements as outlined in the QBI v3 Manual http://www.ayanova.com/QBIwebHELP/index.html?requirementspriorto.htm- you must have QBFC 5.0 installed

Please perform the above, and than post back letting me know it now works

  • Joyce